package Prototype;


public class Circle {
    private int x;
    private int y;
    private String color;
    private double radius;
    
    public String getColor() {
        return color;
    }
    public void setColor(String color) {
        this.color = color;
    }
   
    public Circle(int x, int y, String color, double radius) {
        this.x = x;
        this.y = y;
        this.color = color;
        this.radius = radius;
    }
    

    public Circle() {
    }

    public Circle(Circle target) {
        if (target != null) {
            this.x=target.x;
            this.y=target.y;
            this.color=target.color;
            this.radius = target.radius;
        }
    }

    public Circle clone() {
        return new Circle(this);
    }
    
}
