package Singleton;

public class MySingleton2 {
    private MySingleton2() {}

    private static class MySettings2Holder {
        private static final MySingleton2 INSTANCE = new MySingleton2();
    }

    public static MySingleton2 getInstance() {
        return MySettings2Holder.INSTANCE;
    }
}
